nem.consensus {nem} | R Documentation

## Statistically stabile nested effects models

### Description

Performs bootstrapping (resampling with replacement) on E-genes and jackknife on S-genes to assess the statistical stability of networks. Only edges appearing with a higher frequency than a predescribed threshold in both procedures are regarded as statistical stable and appear in the so-called consensus network.

### Usage

    nem.consensus(D,thresh=0.5, nboot=1000,inference="nem.greedy",models=NULL,control=set.default.parameters(unique(colnames(D))),verbose=TRUE)

    ## S3 method for class 'nem.consensus':
    print(x, ...)

### Arguments

`D` | data matrix with experiments in the columns (binary or continous)
`thresh` | only edges appearing with a higher frequency than "thresh" in both, bootstrap and jackknife procedure, are regarded as statistically stable and trust worthy
`nboot` | number of bootstrap samples desired
`inference` | `search` to use exhaustive enumeration, `triples` for triple-based inference, `pairwise` for the pairwise heuristic, `ModuleNetwork` for the module based inference, `nem.greedy` for greedy hillclimbing, `nem.greedyMAP` for alternating MAP optimization using log odds or log p-value densities
`models` | a list of adjacency matrices for model search. If NULL, an exhaustive enumeration of all possible models is performed.
`control` | list of parameters: see `set.default.parameters`
`verbose` | do you want to see progression statements? Default: TRUE
`x` | nem object
`...` | other arguments to pass

### Details

Calls `nem` or `nemModelSelection` internally, depending on whether or not lambda is a vector and Pm != NULL.

### Value

consensus network (nem object)

### Author(s)

Holger Froehlich

### See Also

`nem.bootstrap`, `nem.jackknife`, `nem.calcSignificance`, `nem`

### Examples

    ## Not run:
       data("BoutrosRNAi2002")
       D <- BoutrosRNAiDiscrete[,9:16]
       nem.consensus(D, control=set.default.parameters(unique(colnames(D)), para=c(0.13,0.05)))
    ## End(Not run)

[Package nem version 2.8.0 Index]